[1/5] texturing: make sure s3tc tests require GL 1.1

Submitted by Erik Faye-Lund on Oct. 24, 2018, 4:29 p.m.

Details

Message ID 20181024162948.27305-2-erik.faye-lund@collabora.com
State Accepted
Commit 7dae4f8d3c4b4b25fb8ac8a8b3cdaca42b4cccfc
Headers show
Series "port s3tc tests to gles2" ( rev: 1 ) in Piglit

Browsing this patch as part of:
"port s3tc tests to gles2" rev 1 in Piglit
<< prev patch [1/6] next patch >>

Commit Message

Erik Faye-Lund Oct. 24, 2018, 4:29 p.m.
The EXT_texture_compression_s3tc spec lists that it requires
OpenGL 1.1, not 1.0 like some of these list.

In reality, this probably doesn't make a huge difference, as
OpenGL 1.0 hardware/drivers are pretty much extinct, but let's
just get it right to avoid confusion.
---
 tests/texturing/s3tc-errors.c      | 2 +-
 tests/texturing/s3tc-teximage.c    | 2 +-
 tests/texturing/s3tc-texsubimage.c | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

Patch hide | download patch | download mbox

diff --git a/tests/texturing/s3tc-errors.c b/tests/texturing/s3tc-errors.c
index 81fee3e21..ccedf8a22 100644
--- a/tests/texturing/s3tc-errors.c
+++ b/tests/texturing/s3tc-errors.c
@@ -36,7 +36,7 @@ 
 
 PIGLIT_GL_TEST_CONFIG_BEGIN
 
-    config.supports_gl_compat_version = 10;
+    config.supports_gl_compat_version = 11;
 
     config.window_width = 200;
     config.window_height = 200;
diff --git a/tests/texturing/s3tc-teximage.c b/tests/texturing/s3tc-teximage.c
index 07e04f729..a08feaa69 100644
--- a/tests/texturing/s3tc-teximage.c
+++ b/tests/texturing/s3tc-teximage.c
@@ -36,7 +36,7 @@ 
 
 PIGLIT_GL_TEST_CONFIG_BEGIN
 
-	config.supports_gl_compat_version = 10;
+	config.supports_gl_compat_version = 11;
 
 	config.window_width = 500;
 	config.window_height = 600;
diff --git a/tests/texturing/s3tc-texsubimage.c b/tests/texturing/s3tc-texsubimage.c
index 17d739a39..39b94938e 100644
--- a/tests/texturing/s3tc-texsubimage.c
+++ b/tests/texturing/s3tc-texsubimage.c
@@ -36,7 +36,7 @@ 
 
 PIGLIT_GL_TEST_CONFIG_BEGIN
 
-	config.supports_gl_compat_version = 10;
+	config.supports_gl_compat_version = 11;
 
 	config.window_width = 500;
 	config.window_height = 600;